//=============================================================================
//static char *__THIS_FILE_NAME__ = "$Id: //depot/src/usgs/gxx_usgs.c#4$";
//=============================================================================
//=========================================================================
//
//   gxx_gridplug.c
//
//   USGS FORTRAN method wrappers.
//
//=========================================================================

#define C_MICROSOFT

#include <gx_define.h>
#include <gx_lib.h>
#include <gx_extern.h>

#include "wrappers.h"

//---------------------------------------------------------------------------
__declspec(dllexport)		 		 // add this
GX_WRAPPER_FUNC GX_LONG GX_WRAPPER_CALL
IUSGS_GridPlug(void       *pGeo,
           const char *pcInfile,
           long       *plInfile_len,
           const char *pcOutfile,
           long       *plOutfile_len,
           long       *plIorder,
           long       *plNiter)
{         
   const char *modn = "IUSGS_GridPlug";
   
   long lErr=0;
  
   // --- Load the global structure ---

   InitGlobals(pGeo);

   // --- Process the grid ---

   gridplug_((char *)pcInfile, (char *)pcOutfile, plIorder, plNiter,
           &lErr, *plInfile_len, *plOutfile_len);

   return 0;
}

