//=============================================================================
//static char *__THIS_FILE_NAME__ = "$Id: //depot/src/usgs/gxx_usgs.c#4$";
//=============================================================================
//=========================================================================
//
//   gxx_prep4.c
//
//   USGS FORTRAN method wrappers.
//
//=========================================================================

#define C_MICROSOFT

#include <gx_define.h>
#include <gx_lib.h>
#include <gx_extern.h>

#include "wrappers.h"

//---------------------------------------------------------------------------
__declspec(dllexport)		 		 // add this
GX_WRAPPER_FUNC GX_LONG GX_WRAPPER_CALL
IUSGS_Prep4(void       *pGeo,
           const char *pcInfile,
           long       *plInfile_len,
           const char *pcOutfile,
           long       *plOutfile_len,
           double     *pdPct)
{         
   const char *modn = "IUSGS_Prep4";
   
   long lErr=0;
   float fPct;

   // --- Load the global structure ---

   InitGlobals(pGeo);

   // --- Convert doubles to floats for REAL*4 ---

   fPct = (float)*pdPct;

   // --- Process the grid ---

   prep4_((char *)pcInfile, (char *)pcOutfile, &fPct,
           &lErr, *plInfile_len, *plOutfile_len);

   return 0;
}

