//=============================================================================
//static char *__THIS_FILE_NAME__ = "$Id: //depot/src/usgs/gxx_usgs.c#4$";
//=============================================================================
//=========================================================================
//
//   gxx_gridmask.c
//
//   USGS FORTRAN method wrappers.
//
//=========================================================================

#define C_MICROSOFT

#include <gx_define.h>
#include <gx_lib.h>
#include <gx_extern.h>

#include "wrappers.h"

//---------------------------------------------------------------------------
__declspec(dllexport)		 		 // add this
GX_WRAPPER_FUNC GX_LONG GX_WRAPPER_CALL
IUSGS_GridMask(void       *pGeo,
           const char *pcInfile1,
           long       *plInfile1_len,
           const char *pcInfile2,
           long       *plInfile2_len,           
           const char *pcOutfile,
           long       *plOutfile_len,
           long       *plInorm)
{         
   const char *modn = "IUSGS_GridMask";
   
   long lErr=0;
  
   // --- Load the global structure ---

   InitGlobals(pGeo);

   // --- Process the grid ---

   gridmask_((char *)pcInfile1, (char *)pcInfile2, (char *)pcOutfile, plInorm,
             &lErr, *plInfile1_len, *plInfile2_len, *plOutfile_len);

   return 0;
}

