      subroutine transpos(infile,outfile,ierr)
      character*(*) infile,outfile
      integer*4 ierr,inunit,outunit
      data inunit/0/,outunit/0/
c
c  open the input grid and read the header info
c
      call OpenGrid_WF(infile,inunit,ierr)
      if(ierr.ne.0) go to 9999
c
      call GetGridInfo_WF(inunit,nc,nr,xo,yo,dx,dy,rot,ierr)
      if(ierr.ne.0) go to 9999
c
c  create the output grid
c
      call NewGrid_WF(outunit,outfile,nr,nc,yo,xo,dy,dx,rot,ierr)
      if(ierr.ne.0) go to 9999
c
c  fill and the output grid
c
      call transpos1(inunit,outunit)
c
c  close the input and output grids
c
      call CloseGrid_WF(inunit,ierr)
      if(ierr.ne.0) go to 9999
      call CloseGrid_WF(outunit,ierr)
      if(ierr.ne.0) go to 9999

 9999 return
      end

c *****************************
      subroutine transpos1(in,io)
      dimension col(4096)
c
c  get the header info from the input grid
c
      call GetGridInfo_WF(in,nc,nr,xo,yo,dx,dy,rot,ierr)
      if(ierr.ne.0) go to 9999
c
c  read columns from the input grid and write rows to the output grid
c
      do 10 j=1,nc
      call GetCol_WF(in,j,nr,col,ierr)
      if(ierr.ne.0) go to 9999
      call PutRow_WF(io,j,nr,col,ierr)
      if(ierr.ne.0) go to 9999
   10 continue
 9999 return
      end

